structure Config :> CONFIG = struct

val builddir = "/home/adamc/git/urweb"

val bin = "/usr/local/bin"
val srclib = "/usr/local/lib/urweb"
val lib = "/usr/local/lib"
val includ = "/usr/local/include/urweb"
val sitelisp = "/usr/local/share/emacs/site-lisp/urweb-mode"

val ccompiler = "gcc"
val ccArgs = ""

val openssl = "-L/usr/lib -lssl -lcrypto"

(* Something is rotten in the state of Ubuntu 11.10, so here's a manual fix that I hope doesn't break other platforms. *)
val openssl =
    let
        val tokens = String.tokens Char.isSpace openssl
    in
        if List.exists (fn s => s = "-lssl") tokens then
            String.concatWith " " (List.filter (fn s => s <> "-lssl") tokens @ ["-lssl"])
        else
            openssl
    end

val pgheader = "postgresql/libpq-fe.h"
val msheader = "mysql.h"
val sqheader = "sqlite3.h"

val versionNumber  = "20170720"
val versionString  = "The Ur/Web compiler, version " ^ versionNumber

val pthreadCflags = "-pthread"
val pthreadLibs = ""

end
